Package ghidra.app.plugin.debug.propertymanager

# Class PropertyManagerPlugin

java.lang.Object
ghidra.framework.plugintool.Plugin
ghidra.app.plugin.ProgramPlugin
ghidra.app.plugin.debug.propertymanager.PropertyManagerPlugin

All Implemented Interfaces:
  `DomainObjectListener`, `PluginEventListener`, `ServiceListener`, `ExtensionPoint`, `EventListener`

public class PropertyManagerPlugin extends ProgramPlugin implements DomainObjectListener
PropertyManagerPlugin

- ## Field Summary

  ### Fields inherited from class ghidra.app.plugin.ProgramPlugin

  `currentHighlight, currentLocation, currentProgram, currentSelection`

  ### Fields inherited from class ghidra.framework.plugintool.Plugin

  `name, pluginDescription, tool`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PropertyManagerPlugin(PluginTool tool)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `dispose()`
  Tells a plugin that it is no longer needed.
  `void`
  `domainObjectChanged(DomainObjectChangedEvent ev)`
  Method called when a change is made to the domain object.
  `protected void`
  `init()`
  Initialization method; override to add initialization for this plugin.
  `protected void`
  `programActivated(Program program)`
  Subclass should override this method if it is interested when programs become active.
  `protected void`
  `programDeactivated(Program program)`
  Subclass should override this method if it is interested when programs become inactive.
  `protected void`
  `selectionChanged(ProgramSelection sel)`
  Subclass should override this method if it is interested in program selection events.

  ### Methods inherited from class ghidra.app.plugin.ProgramPlugin

  `getCurrentProgram, getProgramHighlight, getProgramLocation, getProgramSelection, goTo, goTo, highlightChanged, locationChanged, postProgramActivated, processEvent, programClosed, programOpened, setSelection`

  ### Methods inherited from class ghidra.framework.plugintool.Plugin

  `accept, acceptData, canClose, canCloseDomainObject, cleanup, close, dataStateRestoreCompleted, dependsUpon, deregisterService, equals, eventSent, firePluginEvent, getData, getMissingRequiredServices, getName, getPluginDescription, getServicesRequired, getSupportedDataTypes, getTool, getTransientState, getUndoRedoState, hashCode, hasMissingRequiredService, hasUnsaveData, internalRegisterEventConsumed, isDisposed, prepareToSave, readConfigState, readDataState, registerDynamicServiceProvided, registerServiceProvided, restoreTransientState, restoreUndoRedoState, saveData, serviceAdded, serviceRemoved, writeConfigState, writeDataState`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PropertyManagerPlugin

    public PropertyManagerPlugin(PluginTool tool)

- ## Method Details

  - ### init

    protected void init()
    Description copied from class: `Plugin`
    Initialization method; override to add initialization for this plugin. This is where a plugin should acquire its services. When this method is called, all plugins have been instantiated in the tool.
    Overrides:
      `init` in class `Plugin`

  - ### domainObjectChanged

    public void domainObjectChanged(DomainObjectChangedEvent ev)
    Description copied from interface: `DomainObjectListener`
    Method called when a change is made to the domain object.
    Specified by:
      `domainObjectChanged` in interface `DomainObjectListener`
    Parameters:
      `ev` - event containing the change record and type of change that was made

  - ### programActivated

    protected void programActivated(Program program)
    Description copied from class: `ProgramPlugin`
    Subclass should override this method if it is interested when programs become active. Note: this method is called in response to a ProgramActivatedPluginEvent.

    At the time this method is called, the "currentProgram" variable will be set the new active program.

    Overrides:
      `programActivated` in class `ProgramPlugin`
    Parameters:
      `program` - the new program going active.

  - ### programDeactivated

    protected void programDeactivated(Program program)
    Description copied from class: `ProgramPlugin`
    Subclass should override this method if it is interested when programs become inactive. Note: this method is called in response to a ProgramActivatedPluginEvent and there is a currently active program. At the time this method is called, the "currentProgram" variable will be set the new active program or null if there is no new active program.
    Overrides:
      `programDeactivated` in class `ProgramPlugin`
    Parameters:
      `program` - the old program going inactive.

  - ### selectionChanged

    protected void selectionChanged(ProgramSelection sel)
    Description copied from class: `ProgramPlugin`
    Subclass should override this method if it is interested in program selection events.
    Overrides:
      `selectionChanged` in class `ProgramPlugin`
    Parameters:
      `sel` - selection could be null

  - ### dispose

    public void dispose()
    Description copied from class: `Plugin`
    Tells a plugin that it is no longer needed. The plugin should release any resources that it has. All actions, components, services will automatically be cleaned up.
    Overrides:
      `dispose` in class `Plugin`